petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPSetApplicationContext

Sets the optional user-defined context for the linear solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetApplicationContext(KSP ksp,void *usrP)

Logically Collective on ksp

### Input Parameters

| ksp | - the KSP context
| usrP | - optional user context

### Fortran Notes

To use this from Fortran you must write a Fortran interface definition for this function that tells Fortran the Fortran derived data type that you are passing in as the ctx argument.

### See Also

KSPGetApplicationContext()

### Level

intermediate

### Location

src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages